<template>
  <article class="cms-block-product-description-reviews">
    <CmsGenericElement
      :content="getCenterContent"
      class="cms-block-product-description-reviews__content"
    />
  </article>
</template>

<script>
  import CmsGenericElement from "sw-cms/CmsGenericElement"

  export default {
    name: "CmsBlockProductDescriptionReviews",
    components: {
      CmsGenericElement,
    },
    props: {
      content: {
        type: Object,
        default: () => ({}),
      },
    },
    computed: {
      getSlots() {
        return this.content.slots || []
      },
      getCenterContent() {
        return this.getSlots.find(({ slot }) => slot === "content")
      }
    },
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";
</style>
